Package generic.theme

# Enum Class LafType

java.lang.Object
java.lang.Enum<LafType>
generic.theme.LafType

All Implemented Interfaces:
  `Serializable`, `Comparable<LafType>`, `Constable`

public enum LafType extends Enum<LafType>
An enumeration that represents the set of supported `LookAndFeel`s

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FLAT_DARK`
  `FLAT_LIGHT`
  `GTK`
  `MAC`
  `METAL`
  `MOTIF`
  `NIMBUS`
  `WINDOWS`
  `WINDOWS_CLASSIC`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LafType`
  `fromName(String name)`
  Returns the LafType for the given name or null if the given name does not match any types
  `static LafType`
  `getDefaultLookAndFeel()`
  Returns the default LafType for the current platform.
  `LookAndFeelManager`
  `getLookAndFeelManager(ApplicationThemeManager themeManager)`
  Returns a LookAndFeelManager that can install and update the `LookAndFeel` associated with this LafType.
  `String`
  `getName()`
  Returns the name of this LafType.
  `boolean`
  `isSupported()`
  Returns true if the `LookAndFeel` represented by this LafType is supported on the current platform.
  `String`
  `toString()`
  `boolean`
  `usesDarkDefaults()`
  Returns true if the LookAndFeel represented by this LafType uses application dark default values.
  `static LafType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static LafType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### METAL

    public static final LafType METAL

  - ### NIMBUS

    public static final LafType NIMBUS

  - ### GTK

    public static final LafType GTK

  - ### MOTIF

    public static final LafType MOTIF

  - ### FLAT_LIGHT

    public static final LafType FLAT_LIGHT

  - ### FLAT_DARK

    public static final LafType FLAT_DARK

  - ### WINDOWS

    public static final LafType WINDOWS

  - ### WINDOWS_CLASSIC

    public static final LafType WINDOWS_CLASSIC

  - ### MAC

    public static final LafType MAC

- ## Method Details

  - ### values

    public static LafType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static LafType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Returns the name of this LafType.
    Returns:
      the name of this LafType.

  - ### usesDarkDefaults

    public boolean usesDarkDefaults()
    Returns true if the LookAndFeel represented by this LafType uses application dark default values.
    Returns:
      true if the LookAndFeel represented by this LafType uses application dark default values.

  - ### fromName

    public static LafType fromName(String name)
    Returns the LafType for the given name or null if the given name does not match any types
    Parameters:
      `name` - the name to search a LafType for.
    Returns:
      the LafType for the given name or null if the given name does not match any types

  - ### isSupported

    public boolean isSupported()
    Returns true if the `LookAndFeel` represented by this LafType is supported on the current platform.
    Returns:
      true if the `LookAndFeel` represented by this LafType is supported on the current platform

  - ### getLookAndFeelManager

    public LookAndFeelManager getLookAndFeelManager(ApplicationThemeManager themeManager)
    Returns a LookAndFeelManager that can install and update the `LookAndFeel` associated with this LafType.
    Parameters:
      `themeManager` - The application ThemeManager
    Returns:
      a LookAndFeelManager that can install and update the `LookAndFeel` associated with this LafType.

  - ### getDefaultLookAndFeel

    public static LafType getDefaultLookAndFeel()
    Returns the default LafType for the current platform.
    Returns:
      the default LafType for the current platform.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<LafType>`